using System.ComponentModel;
using System.Globalization;

namespace VisionBuilder.UI.IOCommander;

public class IOCommanderPinAction
{
    public int Pin { get; set; }
    public bool Low { get; set; }
    public bool Pulse { get; set; }

    public override string ToString()
    {
        return $"Pin: {Pin}, {(Low?"Low":"High")}, Pulse: {Pulse}";
    }
}